% PSTricks TeX macro
% Title: C:\SW01\dia\locate_person_history_id.dia
% Creator: Dia v0.92
% CreationDate: Sun May 09 22:26:42 2004
% For: badman
% \usepackage{pstricks}
% The following commands are not supported in PSTricks at present
% We define them conditionally, so when they are implemented,
% this pstricks file will use them.
\ifx\setlinejoinmode\undefined
  \newcommand{\setlinejoinmode}[1]{}
\fi
\ifx\setlinecaps\undefined
  \newcommand{\setlinecaps}[1]{}
\fi
% This way define your own fonts mapping (for example with ifthen)
\ifx\setfont\undefined
  \newcommand{\setfont}[2]{}
\fi
\pspicture(-1.783304,-12.310822)(30.562853,-4.440000)
\scalebox{1.000000 -1.000000}{
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\newrgbcolor{diafillcolor}{1.000000 1.000000 1.000000}
\psset{fillcolor=diafillcolor}
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(5.465000,4.754664)(5.465000,6.554664)(11.565000,6.554664)(11.565000,4.754664)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(5.465000,4.754664)(5.465000,6.554664)(11.565000,6.554664)(11.565000,4.754664)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(8.515000,6.004664){\scalebox{1 -1}{LocateHandler}}
\psset{linewidth=0.050000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(5.965000,6.154664)(11.065000,6.154664)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(14.924011,4.790000)(14.924011,6.590000)(18.424011,6.590000)(18.424011,4.790000)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(14.924011,4.790000)(14.924011,6.590000)(18.424011,6.590000)(18.424011,4.790000)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(16.674011,6.040000){\scalebox{1 -1}{Person}}
\psset{linewidth=0.050000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(15.424011,6.190000)(17.924011,6.190000)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(19.674187,4.835671)(19.674187,6.635671)(24.924187,6.635671)(24.924187,4.835671)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(19.674187,4.835671)(19.674187,6.635671)(24.924187,6.635671)(24.924187,4.835671)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(22.299187,6.085671){\scalebox{1 -1}{pers:Person}}
\psset{linewidth=0.050000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(20.174187,6.235671)(24.424187,6.235671)
\psset{linewidth=0.050000}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(8.515000,6.554664)(8.515000,12.203320)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(8.165000,7.554664)(8.165000,11.658928)(8.865000,11.658928)(8.865000,7.554664)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(8.165000,7.554664)(8.165000,11.658928)(8.865000,11.658928)(8.865000,7.554664)
\psset{linewidth=0.050000}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(16.674011,6.590000)(16.674011,12.166354)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(16.324011,7.915000)(16.324011,8.577684)(17.024011,8.577684)(17.024011,7.915000)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(16.324011,7.915000)(16.324011,8.577684)(17.024011,8.577684)(17.024011,7.915000)
\psset{linewidth=0.050000}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(22.299187,6.635671)(22.299187,12.285822)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(21.949187,9.372724)(21.949187,9.957558)(22.649187,9.957558)(22.649187,9.372724)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(21.949187,9.372724)(21.949187,9.957558)(22.649187,9.957558)(22.649187,9.372724)
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(15.474011,7.916022)(8.863750,7.923974)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(15.474312,8.166022)(16.274011,7.915060)(15.473710,7.666023)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(12.593880,7.919487){\scalebox{1 -1}{pers:=find(persID)}}
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\psset{linestyle=solid}
\setlinejoinmode{0}
\setlinecaps{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(15.224011,4.790000)(15.224011,4.790000)(15.224011,4.490000)(18.724011,4.490000)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\psset{linestyle=solid}
\setlinejoinmode{0}
\setlinecaps{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(18.424011,6.290000)(18.424011,6.290000)(18.724011,6.290000)(18.724011,4.490000)
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(9.713750,8.577684)(16.324011,8.577684)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(9.713750,8.327684)(8.913750,8.577684)(9.713750,8.827684)
\setfont{Helvetica}{0.800000}
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(21.099189,9.371206)(8.853823,9.349331)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(21.098742,9.621205)(21.899187,9.372635)(21.099635,9.121206)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(15.401505,9.361027){\scalebox{1 -1}{his:=getHistory():History}}
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(9.680428,9.979435)(21.949187,9.957558)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(9.679982,9.729436)(8.880429,9.980862)(9.680874,10.229435)
\setfont{Helvetica}{0.800000}
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(25.912853,4.833033)(25.912853,6.633033)(30.512853,6.633033)(30.512853,4.833033)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(25.912853,4.833033)(25.912853,6.633033)(30.512853,6.633033)(30.512853,4.833033)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(28.212853,6.083033){\scalebox{1 -1}{his:History}}
\psset{linewidth=0.050000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(26.412853,6.233033)(30.012853,6.233033)
\psset{linewidth=0.050000}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(28.212853,6.633033)(28.212853,12.255955)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(27.862853,10.706145)(27.862853,11.407946)(28.562853,11.407946)(28.562853,10.706145)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(27.862853,10.706145)(27.862853,11.407946)(28.562853,11.407946)(28.562853,10.706145)
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(27.012853,10.706145)(8.853823,10.706145)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(27.012853,10.956145)(27.812853,10.706145)(27.012853,10.456145)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(18.358338,10.706145){\scalebox{1 -1}{loc:=getLocations(start,end):collection}}
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(9.759135,11.504732)(27.862853,11.407946)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(9.757798,11.254735)(8.959146,11.509008)(9.760471,11.754728)
\setfont{Helvetica}{0.800000}
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(7.315000,7.555182)(-1.733274,7.560697)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(7.315153,7.805182)(8.115000,7.554695)(7.314848,7.305182)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(3.215863,7.557681){\scalebox{1 -1}{Locate(persID,start,end)}}
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(-0.813835,11.658639)(8.165000,11.658928)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(-0.813827,11.408639)(-1.613835,11.658613)(-0.813843,11.908639)
\setfont{Helvetica}{0.800000}
}\endpspicture